Subject: [TOOLS-DEVELOPMENT] Mtg Notes 7-26-07

From: Ray Pelletier <[email-masked]>
Date: Thu, 26 Jul 2007 18:43:43 -0400

Note the questions on OSL.

TMC Meeting Notes 7-26-07

Present
Bob
Lucy
Russ
Ray
Barbara
Bill
Brian
Henrik
Michael
Vid
Jon

Agenda
1. OSL 3.0
2. Phase 2 Django Project
3. IDST Launch/Re-Launch
4. Liaison Tool Enhancements
5. WG Charter Tool
6.  ID Tracker Extension Front End (WG)
7. ID Tracker Extension Back End (RFCed & IANA)
============================

1. OSL 3.0
  a. Do we agree with the proposed changes?
  b. Do we recommend them to the Trust?

Recommendations from Jorge were accepted.
NP-OSL 3.0
Changes required:
1. Need to integrate Section 17 items into the 16 sections where appropriate
2. Add a Comment Summary to reflect the changes

Next Steps:
1. Jorge - need some feedback on questions below
2. Jorge to work with Larry to get the foregoing required changes
3. Changed doc to sent back to Tools-Development list. 
4. Group to accept and recommend to Trust, or request modifications.

Outstanding Questions
a. How do both non  profit and for profit entities contribute to the 
same code base here?  Let's say the non profit initial writes the code 
and  contributes it under NP-OSL. Then someone from ATT makes some  
contributions to the code - do they put those out over normal OSL?   
Then the nonprofit incorporates them in and wants to distribute them  
under NP-OSL. It seems like this would not be allowed.

b. Patent Question. Imagine that I have a patent on  openssl, and I have 
some software that links to openssl and I  release  that software under 
OSL, am I granting rights to my openssl  patent?

2. Phase 2 Django Project

  NSS -
  Prepare a cost proposal for porting the access-controlled tools from
  Perl to Python/Django, [and suggest an order for porting the tools - 
not likely]

3. IDST Launch/Re-Launch

  a.Perl IDST to be launched after Bill review and any tweaks

  b.Port the I-D Submission Tool from Perl to Python/Django:
  Work Order approved. Tool due Oct 24, 2007

4. Liaison Tool Enhancements

NSS will begin work
1. After completion of Phase II of Django Project
2. Evaluate enhancements for Django benefits (add Subscribe to feeds?)
The enhancements to be resent to the

5. WG Charter Tool

  NSS to prepare a proposal

6.  ID Tracker Extension Front End (WG)

  NSS to prepare a proposal

7. ID Tracker Extension Back End (RFCed & IANA)

  Specs under development - Henrik

Bill to discuss with RFC Ed and IANA in mid-September in CA

8. Tools Mail List

Cleaned and made private

9. Funding an Open Source Developer

Vancouver Coding Party Initiative - Russ and Henrik

_______________________________________________
TOOLS-DEVELOPMENT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-development